Bug 5454 - Filter/Sort Browse by title results
Filter/Sort Browse by title results
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: General
2.x
PC Mac OS X 10.3
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 10:03 PDT by James MacGregor
Modified: 2013-05-29 16:25 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.2, OHS 2.3.1, OMP 1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-05-20 10:03:15 PDT
Browse by Title results are sorted alphabetically, but are not filtered. One option would be to filter for the/a/an/etc. These words should be removed/appended to the end of the title, and the results sorted appropriately. So "The Good Title" would become "Good Title, The" and sorted under G instead of T. 

(courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=6130&p=23562#p23562)
Comment 1 Alec Smecher 2010-07-20 12:53:36 PDT
Deferring.
Comment 2 James MacGregor 2013-05-29 16:25:35 PDT
I think this has already been fixed in OMP, and likely to be moved over to OJS 3.0.